Fix apache config so REMOTE_USER is not unset for pulpcore registry

03/28/2024 04:54 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: Foreman modules   

Target version: 3.11.0   

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA: SAT-24245

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/337

  

Description

Any calls to /pulpcore_registry/v2/ lose REMOTE_USER in the headers. This header is necessary to authenticate with Pulp to push

container content.

To work around it, I removed every reference to setting / unsetting REMOTE_USER in /etc/httpd/conf.d/05-foreman-ssl.conf and

added `RequestHeader set REMOTE_USER "admin"`. Only then did the REMOTE_USER header get sent to Pulp.

Associated revisions

Revision 21aa39e2 - 04/11/2024 01:19 PM - Ian Ballou 

Fixes #37308 - set REMOTE_USER properly for pulpcore registry

History

#1 - 03/28/2024 05:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ian Ballou

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/337 added

#2 - 04/11/2024 01:19 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 04/11/2024 02:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|21aa39e28f19b40bf328ebba514465fb9cfb9fe2.
